﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_PEBPartialScript")
@using SPEX.Models
@model SPEX.Models.mPEB
@using (Html.BeginForm("", "PEBSegment", FormMethod.Post))
{
    <div class="content">
        <table>
            <tr>
                <td style="width: 150px;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Register No";
                        label.Height = 25;
                        label.Name = "lblRegisterNo";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_REGISTER_NO";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = false;
                        //TextBox.ClientEnabled = (bool)ViewData["IsNewData"];
                        TextBox.Properties.MaxLength = 6;
                    }).Bind(@Model.REGISTER_NO).GetHtml()
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_CONTAINER_INDEX";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = false;
                        TextBox.Enabled = true;
                    }).Bind(ViewData["ContainerIndex"]).GetHtml()
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PEB_SEQ_SEGMENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = false;
                        TextBox.Enabled = true;
                    }).Bind(@Model.PEB_SEQ).GetHtml()
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_INV_NO_SEGMENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = false;
                        TextBox.Enabled = true;
                    }).Bind(@Model.INVOICE_NO).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Register Date";
                        label.Height = 25;
                        label.Name = "lblRegisterDt";
                    }).GetHtml()
                </td>
                <td style="width: 120px">
                    @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_REGISTER_DT";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 100;
                        settings.Properties.ClientSideEvents.DateChanged = "I_REGISTER_DT_OnChanged";
                    }).Bind(@Model.REGISTER_DT).GetHtml()
                </td>
            </tr>
        </table>
        <h3>
            Segment A</h3>
        <table>
            <tr>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Voyage No";
                        label.Height = 25;
                        label.Name = "lblVoyageNo";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_VOYAGE_NO";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = true;
                        TextBox.Enabled = true;
                        TextBox.Properties.MaxLength = 7;
                    }).Bind(@Model.VOYAGE_NO).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Destination Port Code";
                        label.Height = 25;
                        label.Name = "lblDestinationPortCd";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_DEST_PORT_CD_COMBO";
                        settings.Width = 100;
                        settings.SelectedIndex = -1;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "PEB", Action = "GetDestPortCDListMaster" };
                        //settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Dest. Port CD", 100);
                    }).BindList(ViewData["DataDestPortCD"]).Bind(@Model.DEST_PORT_CD).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Importer Code";
                        label.Height = 25;
                        label.Name = "lblImporterCd";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_IMPORTER_CD_COMBO";
                        settings.Width = 100;
                        settings.SelectedIndex = -1;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "PEB", Action = "GetImporterCDListMaster" };
                        //settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Importer CD", 100);
                    }).BindList(ViewData["DataImporterCD"]).Bind(@Model.IMPORTER_CD).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Inspection Date";
                        label.Height = 25;
                        label.Name = "lblInspectionDt";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_INSPECTION_DT";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 100;
                        settings.Properties.ClientSideEvents.DateChanged = "I_INSPECTION_DT_OnChanged";
                    }).Bind(@Model.INSPECTION_DT).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Invoice Container Count";
                        label.Height = 25;
                        label.Name = "lblCountInvContainer";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @*@Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_INV_CONTAINER_COUNT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = true;
                        TextBox.Enabled = true;
                        TextBox.Properties.MaxLength = 5;
                        //TextBox.Properties.ValidationSettings.RegularExpression.ValidationExpression = 
                        TextBox.Properties.ClientSideEvents.KeyPress = "I_INV_CONTAINER_COUNT_OnKeyPress";
                    }).Bind(@Model.INV_CONTAINER_COUNT).GetHtml()*@
                    @Html.DevExpress().SpinEdit(
                  settings =>
                  {
                      settings.Name = "I_INV_CONTAINER_COUNT";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 120;
                      settings.Properties.MinValue = 0;
                      settings.Properties.DecimalPlaces = 0;
                      settings.Properties.MaxLength = 5;
                      settings.Properties.DisplayFormatString = "###0";
                      settings.Properties.SpinButtons.Visible = false;
                      settings.Properties.SpinButtons.ShowIncrementButtons = false;
                      settings.Properties.NumberType = SpinEditNumberType.Integer;
                      settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                  }).Bind(@Model.INV_CONTAINER_COUNT).GetHtml()
                </td>
            </tr>
        </table>
        <h3>
            Segment D</h3>
        <table>
            <tr>
                <td style="width: 80%">
                    <div id="divContainer">
                        @foreach (mPEB container in (List<mPEB>)ViewData["ContainerList"])
                        {
                            var i = container.SEQ_NO;
                            <div id="@string.Format("divChild{0}", i)">
                                <table>
                                    <tr>
                                        <td style="width: 150px">
                                            @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Container No";
                                                label.Height = 25;
                                                label.Width = 100;
                                                label.Name = string.Format("lblContainerNo_{0}", i);
                                            }).GetHtml()
                                        </td>
                                        <td style="width: 160px">
                                            @Html.DevExpress().TextBox(
                                            TextBox =>
                                            {
                                                TextBox.Name = string.Format("I_CONTAINER_NO_{0}", i);
                                                TextBox.Properties.EnableClientSideAPI = true;
                                                TextBox.Width = 160;
                                                TextBox.ClientVisible = true;
                                                TextBox.Enabled = true;
                                                TextBox.Text = container.CONTAINER_NO;
                                                TextBox.Properties.MaxLength = 15;
                                            }).GetHtml()
                                        </td>
                                        <td style="width: 50px">
                                        </td>
                                        <td style="width: 150px">
                                            @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Container Segel";
                                                label.Height = 25;
                                                label.Width = 100;
                                                label.Name = string.Format("lblContainerSegel_{0}", i);
                                            }).GetHtml()
                                        </td>
                                        <td style="width: 160px">
                                            @Html.DevExpress().TextBox(
                                            TextBox =>
                                            {
                                                TextBox.Name = string.Format("I_CONTAINER_SEGEL_{0}", i);
                                                TextBox.Properties.EnableClientSideAPI = true;
                                                TextBox.Width = 160;
                                                TextBox.ClientVisible = true;
                                                TextBox.Enabled = true;
                                                TextBox.Text = container.CONTAINER_SEGEL;
                                                TextBox.Properties.MaxLength = 15;
                                            }).GetHtml()
                                        </td>
                                        <td style="width: 50px">
                                        </td>
                                        <td style="width: 150px">
                                            @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Container Size";
                                                label.Height = 25;
                                                label.Name = string.Format("lblContainerSize_{0}", i);
                                            }).GetHtml()
                                        </td>
                                        <td style="width: 150px">
                                            @Html.DevExpress().ComboBox(
                                            settings =>
                                            {
                                                settings.Name = string.Format("I_CONTAINER_SIZE_{0}", i);
                                                settings.Width = 100;
                                                settings.SelectedIndex = -1;
                                                settings.Properties.DropDownWidth = 100;
                                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                                settings.CallbackRouteValues = new { Controller = "PEB", Action = "GetContainerSizeListMaster" };
                                                //settings.Properties.TextFormatString = "{0}";
                                                settings.Properties.ValueField = "SYSTEM_CD";
                                                settings.Properties.ValueType = typeof(string);
                                                settings.Properties.Columns.Add("SYSTEM_VALUE", "Container Size", 100);
                                            }).BindList(ViewData["DataContainerSize"]).Bind(container.CONTAINER_SIZE).GetHtml()
                                        </td>
                                        <td>
                                            @Html.DevExpress().Button(
                                            button =>
                                            {
                                                button.Name = string.Format("cmdRemoveContainer_{0}", i);
                                                button.Width = 130;
                                                button.Text = "Remove";
                                                button.ClientSideEvents.Click = "function (s, e){$('#divChild" + i + "').remove();}";
                                                button.Style.Add("display", "inline-table");
                                                button.UseSubmitBehavior = false;
                                                button.ClientVisible = true;
                                                //button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "", "CLEAR");
                                            }
                                            ).GetHtml()
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        }
                    </div>
                </td>
                <td style="width:20px"></td>
                <td valign="top">
                    <table>
                        <tr>
                            <td>@Html.DevExpress().Button(
                            button =>
                            {
                                button.Name = "cmdAddContainer";
                                button.Width = 130;
                                button.Text = "Add";
                                //button.ClientSideEvents.Click = "function(s, e){ OnAddContainer(" + ViewData["ContainerIndex"] + ");}";
                                button.ClientSideEvents.Click = "OnAddContainer";
                                button.Style.Add("display", "inline-table");
                                button.UseSubmitBehavior = false;
                                button.ClientVisible = true;
                                //button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "", "CLEAR");
                            }
                            ).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table>
            <tr align="center">
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdSaveSegment";
                        button.Text = "Save";
                        //button.ClientSideEvents.Click = "function (s, e){OnSaveSegment(" + ViewData["ContainerIndex"] + ");}";
                        button.ClientSideEvents.Click = "OnSaveSegment";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        button.ClientEnabled = (bool)ViewData["IsNewData"];
                    }
                    ).GetHtml()
                </td>
                <td style="width: 20px">
                </td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdUpdateSegment";
                        button.Text = "Update";
                        //button.ClientSideEvents.Click = "function (s, e){OnUpdateSegment(" + ViewData["ContainerIndex"] + ");}";
                        button.ClientSideEvents.Click = "OnUpdateSegment";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        button.ClientEnabled = (!(bool)ViewData["IsNewData"]);
                    }
                    ).GetHtml()
                </td>
                <td style="width: 20px">
                </td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdCancelSegment";
                        button.Text = "Cancel";
                        button.ClientSideEvents.Click = "OnCancelSegment";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                    }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}